API Reference
Reports and Forms
Scheduled report and digital form answer HTTP endpoints.
Report and digital form endpoints are dashboard-derived. Payload and response fields can vary by enabled tenant features and form schemas.
Scheduled report and digital form answer HTTP endpoints.
Report and digital form endpoints are dashboard-derived. Payload and response fields can vary by enabled tenant features and form schemas.
/scheduled-reportlinxio.reports.scheduled(params)Returns a paginated list of scheduled reports.
limitpageformatstartDate / endDatedatapage / limit / total/scheduled-report/templatelinxio.reports.scheduledTemplate()Returns scheduled-report template metadata used by the dashboard.
nonedata/scheduled-report/{reportId}/scheduled-report/{reportId}linxio.reports.getScheduled(reportId)Returns one scheduled report by ID.
reportIdidnametypeformat/scheduled-reportlinxio.reports.createScheduled(payload)Creates a scheduled report.
nametypeformatparamsid/scheduled-report/{reportId}/scheduled-report/{reportId}linxio.reports.updateScheduled(reportId, payload)Updates a scheduled report.
reportIdbodyid/scheduled-report/{reportId}/scheduled-report/{reportId}linxio.reports.deleteScheduled(reportId)Deletes a scheduled report.
reportIdstatus/scheduled-report/{reportId}/restore/scheduled-report/{reportId}/restorelinxio.reports.restoreScheduled(reportId)Restores a scheduled report when the dashboard-derived endpoint is available.
reportIdstatus/digital-form/formlinxio.digitalForms.list()Lists digital forms visible to the authenticated account.
noneidnamestatus/digital-form/form/{formId}/digital-form/form/{formId}linxio.digitalForms.get(formId)Returns one digital form by ID.
formIdidname/digital-form/answer/{answerId}/digital-form/answer/{answerId}linxio.digitalForms.answer(answerId)Returns one digital form answer. Shape depends on the form schema.
answerIddata/digital-form/answer/{answerId}/pdf/digital-form/answer/{answerId}/pdflinxio.digitalForms.answerPdf(answerId)Downloads a digital form answer as a PDF.
answerIdbody/scheduled-report/{reportId}POST /scheduled-reportPATCH /scheduled-report/{reportId}DELETE /scheduled-report/{reportId}PATCH /scheduled-report/{reportId}/restoreGET /digital-form/formGET /digital-form/form/{formId}GET /digital-form/answer/{answerId}GET /digital-form/answer/{answerId}/pdf